package com.management.platform.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author 吴涛涛
 * @since 2020-01-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PicContentKeywords extends Model<PicContentKeywords> {

    private static final long serialVersionUID=1L;

    /**
     * 图片内容关键词表主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 关键词内容
     */
    @TableField("content")
    private String content;

    /**
     * 关键词所属类型：0-编程，1-查资料，2-看文档，3-做设计，4-美工，5-运营，6-看小说，7-打游戏，8-听音乐。
     */
    @TableField("type")
    private Integer type;

    /**
     * 对应进程(多个)如：‘idea64.exe,idea32.exe’
     */
    @TableField("process_name")
    private String processName;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
