package com.management.platform.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author 吴涛涛
 * @since 2020-01-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TimeCalculation extends Model<TimeCalculation> {

    private static final long serialVersionUID=1L;

    /**
     * 时间记录表主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 用户表主键
     */
    @TableField("user_id")
    private String userId;

    /**
     * 行为代码 等价于screenshot表中的pic_type
     */
    @TableField("action_type")
    private Integer actionType;

    /**
     * 日期
     */
    @TableField("date")
    private LocalDate date;

    /**
     * 开始时间
     */
    @TableField("start_time")
    private LocalTime startTime;

    /**
     * 结束时间
     */
    @TableField("end_time")
    private LocalTime endTime;

    /**
     * 持续时间
     */
    @TableField("duration")
    private Double duration;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
